<?php

add_action('admin_notices', 'wpeka_admin_notice');	
function wpeka_admin_notice()
{
    global $pagenow;
	
	$plugin_data = get_plugin_data(PLUGIN_FILE_PATH);	
        
	$plugin_name = strtolower($plugin_data['Name']);

	$plugin_name=preg_replace('/\s+/','-',$plugin_name);
        
	$wpeka_plugin_path = str_replace($plugin_name.'/','wpeka/wpeka.php',PLUGIN_DIR_PATH);

	if( ($pagenow == 'plugins.php') &&  (!file_exists(dirname($wpeka_plugin_path))) )
	{
         

		if(isset($_POST['install_now']))
		{
			install_plugin();		
	
		}
		else
		{
			?>
			<div class="updated">
             		<p>Along with <?php echo $plugin_data['Name'] ?> plugin, install WPeka club admin plugin and browse through 100+ products</p>
	     		<form method = "post">
			<div style = "padding-bottom:1% !important;">
		     	<input type = "submit" name ="install_now" value = "Install Now" class= "button" id = "search-button">
			</div>
	      		</form>
         		</div>	
<?php
		
		}


         

	}
	else if ( ($pagenow == 'plugins.php') && (file_exists(dirname($wpeka_plugin_path)))&& (is_plugin_active("wpeka/wpeka.php") === false) ) 
       {
		if(isset($_POST['activate_now']))
		{
			run_activate_plugin($wpeka_plugin_path );		
		}
		else
		{
			
		?>
		<div class="updated">
             	<p>Along with <?php echo $plugin_data['Name'] ?> plugin, activate WPeka club admin plugin and browse through 100+ products</p>
	     	<form method = "post">
		<div style = "padding-bottom:1% !important;">
	        <input type = "submit" name ="activate_now" value = "Activate Now" class= "button" id = "search-button">
		</div>
	        </form>
         	</div>	 
		<?php
		
		}
	
	
       }
}//end of wpeka_admin_notice()

function install_plugin() 
{
		include_once(PLUGIN_DIR_PATH.'wpeka_plugin_install.php');
	
}

function run_activate_plugin( $plugin ) {

           $redirect_url = admin_url().'plugins.php';
     activate_plugin( $plugin, $redirect = $redirect_url );
}

?>
